Package com.avaya.clientservices.messaging.enums

## Enum MessageImportance

- java.lang.Object
- - java.lang.Enum<MessageImportance>
  - - com.avaya.clientservices.messaging.enums.MessageImportance

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessageImportance>`

      public enum MessageImportance
      extends java.lang.Enum<MessageImportance>

  Represents the message importance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HIGH` | High message importance level.
    `LOW` | Low message importance level.
    `NORMAL` | Normal message importance level.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessageImportance` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessageImportance[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final MessageImportance NORMAL

      Normal message importance level.

    - #### LOW

          public static final MessageImportance LOW

      Low message importance level.

    - #### HIGH

          public static final MessageImportance HIGH

      High message importance level.

  - ### Method Detail

    - #### values

          public static MessageImportance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageImportance c : MessageImportance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageImportance valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null